<template>
  <header class="container mx-auto border-gray-400 border-b flex items-center py-4 px-4 mb-4 md:mb-8 flex-shrink-0">
    <div class="logo-place text-3xl font-bold text-primary">
      vladislove
    </div>
    <div class="ml-auto">
      <button
        class="block focus:outline-none"
        @click="toggleDarkMode"
      >
        <svg
          v-if="isDark"
          width="30"
          height="30"
          aria-hidden="true"
          focusable="false"
          data-icon="sun"
          role="img"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 512 512"
          class="icon-sun text-white"
        ><path
          fill="currentColor"
          d="M256 160c-52.9 0-96 43.1-96 96s43.1 96 96 96 96-43.1 96-96-43.1-96-96-96zm246.4 80.5l-94.7-47.3 33.5-100.4c4.5-13.6-8.4-26.5-21.9-21.9l-100.4 33.5-47.4-94.8c-6.4-12.8-24.6-12.8-31 0l-47.3 94.7L92.7 70.8c-13.6-4.5-26.5 8.4-21.9 21.9l33.5 100.4-94.7 47.4c-12.8 6.4-12.8 24.6 0 31l94.7 47.3-33.5 100.5c-4.5 13.6 8.4 26.5 21.9 21.9l100.4-33.5 47.3 94.7c6.4 12.8 24.6 12.8 31 0l47.3-94.7 100.4 33.5c13.6 4.5 26.5-8.4 21.9-21.9l-33.5-100.4 94.7-47.3c13-6.5 13-24.7.2-31.1zm-155.9 106c-49.9 49.9-131.1 49.9-181 0-49.9-49.9-49.9-131.1 0-181 49.9-49.9 131.1-49.9 181 0 49.9 49.9 49.9 131.1 0 181z"
        /></svg>
        <svg
          v-else
          width="30"
          height="30"
          aria-hidden="true"
          focusable="false"
          data-icon="moon"
          role="img"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 512 512"
          class="icon-moon text-gray-900"
        ><path
          fill="currentColor"
          d="M283.211 512c78.962 0 151.079-35.925 198.857-94.792 7.068-8.708-.639-21.43-11.562-19.35-124.203 23.654-238.262-71.576-238.262-196.954 0-72.222 38.662-138.635 101.498-174.394 9.686-5.512 7.25-20.197-3.756-22.23A258.156 258.156 0 0 0 283.211 0c-141.309 0-256 114.511-256 256 0 141.309 114.511 256 256 256z"
        /></svg>
      </button>
    </div>
  </header>
  <app-drawer
    v-model:show="isDrawerShown"
  />
</template>

<script>
  import AppDrawer from '@/components/layout/AppDrawer.vue'

  export default {
    components: {
      AppDrawer,
    },
    data() {
      return {
        isDrawerShown: false,
        isDark: false,
      }
    },
    created() {
      const prefers = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches

      if (localStorage.getItem('isDark') !== null) {
        this.isDark = localStorage.getItem('isDark') === 'true'
        if (localStorage.getItem('isDark') === 'true') {
          document.body.classList.add('dark')
        }
      }
      else if (prefers) {
        document.body.classList.add('dark')
        this.isDark = true
      }
    },
    methods: {
      toggleDarkMode() {
        if (document.body.classList.contains('dark')) {
          document.body.classList.remove('dark')
          this.isDark = false
          localStorage.setItem('isDark', false)
        } else {
          document.body.classList.add('dark')
          this.isDark = true
          localStorage.setItem('isDark', true)
        }
      }
    },
  }
</script>

<style>

</style>